---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: ob-event
  namespace: observe
  labels:
    app.kubernetes.io/name: ob-event
spec:
  selector:
    matchLabels:
      app.kubernetes.io/name: ob-event
  replicas: 1
  template:
    metadata:
      labels:
        app.kubernetes.io/name: ob-event
    spec:
      containers:
        - name: ob-event
          image: reg.cestong.com.cn/cecf/observe-server
          imagePullPolicy: Always
          command: ["/app/observe", "alert", "-c", "/app/settings.yml"]
          securityContext:
            allowPrivilegeEscalation: false
              #runAsGroup: ''
          env:
            - name: TZ
              value: "Asia/Shanghai"
            - name: "RULECHANLENGTH"
              value: "200"
            - name: "INTERVAL"
              value: "30"
            - name: "GORUNTIMES"
              value: "200"
            - name: "MAXRETRY"
              value: "0"
          volumeMounts:
          - name: cm-settings
            mountPath: /app/settings.yml
            subPath: settings.yaml
      volumes:
      - name: cm-settings
        configMap:
          name: ob-server-settings